<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: admin.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\FhCal;

require_once __DIR__ . '/../../maincore.php';
require_once FUSION_ADMIN_HEADER;
require_once FCAL_PATH . 'autoload.php';

class AdminCal extends CalServer {
    private $allowed_section = ['publish', 'logs', 'settings'];
    private $allowed_pages = ['calendar', 'category', 'holidays', 'settings'];

    public function __construct() {
        parent::__construct();
        pageAccess('FCAL');
        add_breadcrumb(['link' => FCAL_PATH . 'admin.php' . fusion_get_aidlink(), 'title' => self::$locale['FCAL_003']]);
    }
    public function display_admin() {
        add_to_title( self::$locale['FCAL_003'] );
        opentable( self::$locale['FCAL_003'] );

        $section = check_get( 'section' ) && in_array( get( 'section' ), $this->allowed_pages ) ? get( 'section' ) : $this->allowed_pages[0];

        $edit = (check_get( 'action' ) && get( 'action' ) == 'edit' && check_get( 'event_id' ) && isnum( get( 'event_id' ) )) ? TRUE : FALSE;

        $calendar_title['title'][] = self::$locale['FCAL_100'];
        $calendar_title['id'][] = 'calendar';
        $calendar_title['icon'][] = '';
        $calendar_title['title'][] = self::$locale['FCAL_101'];
        $calendar_title['id'][] = 'category';
        $calendar_title['icon'][] = '';
        $calendar_title['title'][] = self::$locale['FCAL_102'];
        $calendar_title['id'][] = 'holidays';
        $calendar_title['icon'][] = '';
        $calendar_title['title'][] = self::$locale['FCAL_103'];
        $calendar_title['id'][] = 'settings';
        $calendar_title['icon'][] = '';

        echo opentab( $calendar_title, $section, 'calendar_admin', TRUE, '', 'section', ['event_id', 'action', 'ref', 'rowstart', 'fh_ev_id', 'hday_id', 'cat_id'] );
        switch ( $section ) {
            case 'settings':
                \PHPFusion\FhCal\CalSettings::getInstance()->startAdmin();
                break;
            case 'category':
                \PHPFusion\FhCal\CalCategory::getInstance()->startAdmin();
                break;
            case 'holidays':
                \PHPFusion\FhCal\CalHoliDays::getInstance()->startAdmin();
                break;
            default:
                \PHPFusion\FhCal\CalEventAdmin::getInstance()->startAdmin();
        }
        echo closetab();
        closetable();
    }
}
$chatadmins = new AdminCal();
$chatadmins->display_admin();

require_once FUSION_FOOTER;
