<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: autoloader.php
| Author: PHP-Fusion Development Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
spl_autoload_register(function ( $className ) {

    $autoload_register_paths = [
        'PHPFusion\\FhCal\\CalSql'        => FCAL_PATH . 'classes/sqlcalendar.php',
        'PHPFusion\\FhCal\\CalServer'     => FCAL_PATH . 'classes/server.php',
        'PHPFusion\\FhCal\\CalKarat'      => FCAL_PATH . 'classes/calendar.php',
        'PHPFusion\\FhCal\\CalEvent'      => FCAL_PATH . 'classes/events.php',
        'PHPFusion\\FhCal\\CalPanel'      => FCAL_PATH . 'classes/calendar_panel.php',
        'PHPFusion\\FhCal\\CalEventAdmin' => FCAL_PATH . 'classes/admin_event.php',
        'PHPFusion\\FhCal\\CalCategory'   => FCAL_PATH . 'classes/admin_category.php',
        'PHPFusion\\FhCal\\CalHoliDays'   => FCAL_PATH . 'classes/admin_days.php',
        'PHPFusion\\FhCal\\CalSettings'   => FCAL_PATH . 'classes/admin_settings.php'
    ];

    if (isset( $autoload_register_paths[$className] )) {
        $fullPath = $autoload_register_paths[$className];
        if (is_file( $fullPath )) {
            require_once $fullPath;
        }
    }
});