<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: classes/calendar_panel.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\FhCal;

class CalPanel extends CalServer {
    private static $instance = NULL;

    public function __construct() {
        parent::__construct();
        self::autoBirthday();
    }

    public static function getInstance() {
        if ( self::$instance === NULL ) {
            self::$instance = new static();
        }
        return self::$instance;
    }

    public function startCalPanel() {
        $context = [
            'fctablename' => self::$locale['FCAL_010'],
            'fhead'       => self::setHeadLink(),
            'fcalday'     => self::setDays(),
            'display'     => self::displayListing()
        ];
        CalendarPanel($context);
        //echo fusion_render(FCAL_PATH.'twig/', 'calendar_panel.twig', $context, TRUE);
    }

    private function displayListing() {
        $info = [];
        $info_array = self::setDisplay();

        foreach ( $info_array as $year_id => $year_data ) {
            foreach ( $year_data as $month_id => $month_data ) {
                foreach ( $month_data as $day_id => $day_data ) {
                    $info[$day_data['weekend']][] = $day_data;
                }
            }
        }
        return $info;
    }

    private function autoBirthday() {
        $todays = mktime( 0, 0, 0, date( "m" ), date( "d" ), date( "Y" ) );
        if ( $todays >= $this->eventsettings['fh_birthdate_time'] ) {
            $settings = fusion_get_settings();
            $result = dbquery("SELECT user_name, user_id, user_birthdate,
                (YEAR(CURDATE())-YEAR(user_birthdate)) AS szul
                FROM ".DB_USERS."
                WHERE MONTH( user_birthdate ) = '" . date( "n" ) . "' && DAY( user_birthdate ) = '" . date( "d" ) . "'
                ORDER BY user_name ASC
            ");
            if ( dbrows( $result ) ) {
                $bsubmit = self::$locale['FCAL_066'];
                while ( $data = dbarray( $result ) ) {
                    $sznapev = sprintf( self::$locale['FCAL_067'], $data['szul'] );
                    $bmessages = sprintf( self::$locale['FCAL_068'], $data['user_name'], $sznapev, $settings['siteusername'], $settings['sitename']);

                    send_pm($data['user_id'], 0, $bsubmit, $bmessages);
                }
            }
            set_setting("fh_birthdate_time", time(), "fh_calendar_panel");
        }
    }
}
