<?php
namespace PHPFusion\FhCal;

class CalSql {

    public function getCategoryQuery(array $filters = []) {
        return "SELECT *
            FROM ".DB_FHCAL_CATEGORY."
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }

    public function getBirthdayQuery(array $filters = []) {
        return "SELECT user_id, user_name, user_status, user_level, user_avatar, user_birthdate
            FROM ".DB_USERS."
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }

    public function getHolidayQuery(array $filters = []) {
        return "SELECT *
            FROM ".DB_FHCAL_HOLIDAYS."
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }

    public function getEventQuery(array $filters = []) {
        return "SELECT ev.*, ct.*, oc.*
			FROM ".DB_FHCAL_EVENTS." AS ev
			LEFT JOIN ".DB_FHCAL_CATEGORY." AS ct ON ev.fh_cat_id = ct.fh_cat_id
			LEFT JOIN ".DB_FHCAL_OCCURACE." AS oc ON ev.fh_ev_id = oc.fh_ev_id
            WHERE ".(iADMIN ? '' : "ev.fh_ev_activ = '1' AND")." ".groupaccess("ev.fh_ev_visibility").(!empty($filters['condition']) ? ' AND '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
		";
    }

    /*public function getEventQuery(array $filters = []) {
        return "SELECT  ev.*, oc.*
            FROM ".DB_FHCAL_EVENTS." As ev
			INNER JOIN ".DB_FHCAL_OCCURACE." As oc ON ev.fh_ev_id=oc.fh_ev_id
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }*/

    public function getEventQuery_1($eventid = '', $year = '', $month = '', $day = '') {
    	$mday = !empty($day) ? "AND DAY(fh_o_start_date) = $day" : '';
    	$tsday = !empty($day) ? "AND DAY(fh_o_start_ts) = $day" : '';
        $cond = $eventid ? "ev.fh_ev_id = '" . $eventid . "'" :
        "((YEAR(fh_o_start_date) = $year AND MONTH(fh_o_start_date) = $month $mday) OR (YEAR(fh_o_start_ts) = $year AND MONTH(fh_o_start_ts) = $month $tsday))";

        return "SELECT ev.*, ct.*, oc.*
			FROM ".DB_FHCAL_EVENTS." AS ev
			LEFT JOIN ".DB_FHCAL_CATEGORY." AS ct ON ev.fh_cat_id = ct.fh_cat_id
			LEFT JOIN ".DB_FHCAL_OCCURACE." AS oc ON ev.fh_ev_id = oc.fh_ev_id
			WHERE ".(iADMIN ? '' : "ev.fh_ev_activ = '1' AND")." ".groupaccess("ev.fh_ev_visibility")." AND $cond
			ORDER BY fh_ev_activ ASC, fh_o_start_ts DESC, fh_o_start_date DESC
		";
    }

}
