<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$locale = fusion_get_locale( "", FCAL_LOCALE );

$inf_title = $locale['FCAL_000'];
$inf_description = $locale['FCAL_001'];
$inf_version = "1.0.1";
$inf_developer = "karrak";
$inf_email = "admin@fusionhu.com";
$inf_weburl = "https://fusionhu.com";
$inf_folder = "fh_calendar_panel";
$inf_image = "fh_calendar.svg";

$inf_newtable[] = DB_FHCAL_EVENTS . " (
    fh_ev_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
    fh_ev_owner MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT 0,
    fh_ev_visibility VARCHAR(50) NOT NULL DEFAULT '0',
    fh_cat_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT 0,
    fh_ev_subject VARCHAR(255) NOT NULL DEFAULT '',
    fh_ev_desc TEXT NOT NULL,
    fh_ev_readonly TINYINT(1) NOT NULL default 0,
    fh_ev_ctime TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    fh_ev_mtime TIMESTAMP NULL DEFAULT NULL,
    fh_evall_day varchar(3) not null default 'no',
    fh_ev_activ TINYINT(1) NOT NULL DEFAULT '0',
PRIMARY KEY (fh_ev_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_newtable[] = DB_FHCAL_OCCURACE . " (
    fh_o_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
    fh_ev_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT 0,
    fh_o_start_date DATE DEFAULT NULL,
    fh_o_end_date DATE DEFAULT NULL,
    fh_o_start_ts timestamp NULL DEFAULT NULL,
    fh_o_end_ts TIMESTAMP NULL DEFAULT NULL,
    fh_o_time_type TINYINT(4) NOT NULL DEFAULT '0',
PRIMARY KEY (fh_o_id),
KEY fh_ev_id (fh_ev_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_newtable[] = DB_FHCAL_CATEGORY . " (
    fh_cat_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
    fh_cat_name VARCHAR(255) NOT NULL DEFAULT '',
    fh_cat_color VARCHAR(255) NOT NULL DEFAULT '',
PRIMARY KEY (fh_cat_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_newtable[] = DB_FHCAL_HOLIDAYS . " (
    fh_hday_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
    fh_hday_name VARCHAR(255) NOT NULL DEFAULT '',
    fh_hday_date DATE NOT NULL DEFAULT '1900-01-01',
PRIMARY KEY (fh_hday_id),
KEY fh_hday_date (fh_hday_date)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

// Insert settings
$settings = [
    'fh_week_start'        => 1,
    'fh_hours_24'          => 1,
    'fh_date_format'       => 1,
    'fh_subject_max'       => 50,
    'fh_birthdate'         => 1,
    'fh_birthdate_time'    => time(),
    'fh_holidays'          => 1,
    'fh_submission'        => 1,
    'fh_submission_access' => USER_LEVEL_MEMBER
];

foreach ($settings as $name => $value) {
    $inf_insertdbrow[] = DB_SETTINGS_INF . " (settings_name, settings_value, settings_inf) VALUES ('" . $name . "', '" . $value . "', '" . $inf_folder . "')";
}
// Insert panel
$inf_insertdbrow[] = DB_PANELS . " (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES('" . $locale['FCAL_002'] . "', '" . $inf_folder . "', '', '4', '3', 'file', '0', '1', '1', '', '3', '" . fusion_get_settings( 'enabled_languages' ) . "')";

$inf_insertdbrow[] = DB_FHCAL_CATEGORY . " (fh_cat_name, fh_cat_color) VALUES
('" . $locale['FCAL_005'] . "', '#00FF00'),
('" . $locale['FCAL_006'] . "', '#00FFFF'),
('" . $locale['FCAL_007'] . "', '#FFCCCC'),
('" . $locale['FCAL_008'] . "', '#66FF33')";

if (file_exists( FCAL_PATH . '/locale/' . LANGUAGE . '/holiday_' . LANGUAGE . '.php')) {
    include FCAL_PATH . '/locale/' . LANGUAGE . '/holiday_' . LANGUAGE . '.php';
    if (!empty($inf_holiday)) {
        foreach ($inf_holiday as $key => $name) {
            $inf_insertdbrow[] = DB_FHCAL_HOLIDAYS." (fh_hday_name, fh_hday_date) VALUES ('" . $name . "', '" . $key . "' )";
        }
    }
}
// Multilanguage links
$enabled_languages = makefilelist( LOCALE, ".|..", TRUE, "folders" );
if (!empty( $enabled_languages )) {
    foreach($enabled_languages as $language) {
        if (file_exists( FCAL_PATH . 'locale/' . $language . '/calendar.php' )) {
            include FCAL_PATH . 'locale/' . $language . '/calendar.php';
        } else {
            include FCAL_PATH . 'locale/English/calendar.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => "FCAL",
            'image'    => $inf_image,
            'title'    => $locale['FCAL_003'],
            'panel'    => "admin.php",
            'page'     => 5,
            'language' => $language
        ];

        $mlt_deldbrow[$language][] = DB_ADMIN." WHERE admin_rights = 'FCAL' AND admin_language = '" . $language . "'";
    }
} else {
    $inf_adminpanel[] = [
        'rights'   => "FCAL",
        'image'    => $inf_image,
        'title'    => $locale['FCAL_003'],
        'panel'    => "admin.php",
        'page'     => 5,
        'language' => LANGUAGE
    ];
}

$inf_droptable[] = DB_FHCAL_EVENTS;
$inf_droptable[] = DB_FHCAL_OCCURACE;
$inf_droptable[] = DB_FHCAL_CATEGORY;
$inf_droptable[] = DB_FHCAL_HOLIDAYS;
$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights = 'FCAL'";
$inf_deldbrow[] = DB_PANELS." WHERE panel_filename = '" . $inf_folder . "'";
$inf_deldbrow[] = DB_SETTINGS_INF." WHERE settings_inf = '" . $inf_folder . "'";
