<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: calendar.tpl.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

if (!function_exists('CalendarPanel')) {
    function CalendarPanel($info) {
        openside($info['fctablename']);
        echo "<div class='table-responsive'>";
            echo "<table class='table text-center'>";
                echo "<tr class='info'>";
                    foreach ($info['fhead'] as $fhead_id => $fhead_data) {
                        echo "<td class='text-" . $fhead_id . "'>";
                            echo "<a " . $fhead_data['link'] . $fhead_data['icon'] . "</a>";
                        echo "</td>";
                    }
                echo "</tr>";
            echo "</table>";
        echo "</div>";
        echo "<div class='table-responsive'>";
            echo "<table class='table text-center'>";
                echo "<tr class='success'>";
                    foreach ($info['fcalday'] as $fcalday_data) {
                        echo "<td class='text-center'><span style='font-size:9px;'><b>" . $fcalday_data . "</b></span></td>";
                    }
                echo "</tr>";
                    foreach ($info['display'] as $week_id => $week_data) {
                        echo "<tr>";
                            echo "<td class='text-center' height='16' style='color:#ccc;'>" . $week_id . "</td>";
                                foreach ($week_data as $rows) {
                                    echo "<td class='text-center align-middle'" . $rows['midle'] . $rows['class'] . " height='16'>";
                                    if ($rows['daylink'] == true) {
                                        echo $rows['daylink'];
                                    }
                                    echo "</td>";
                                }
                        echo "</tr>";
                    }
            echo "</table>";
        echo "</div>";

        closeside();
    }
}

if (!function_exists('scheduled')) {
    function scheduled($info) {
        $locale = fusion_get_locale();
        opentable($info['stablename']);
        echo "<div class='text-right'>" . $info['submitlink'] . "</div>";
        if ($info['data']) {
            echo "<div class='text-center'><h2>" . $info['texthead'] . "</h2></div>";
            echo "<div class='table-responsive'>";
                echo "<table class='table table-striped text-center'>";
                     echo "<tbody>";
                         echo "<tr>";
                             echo "<th class='text-center'>" . $locale['FCAL_031'] . "</th>";
                             echo "<th class='text-center'>" . $locale['FCAL_060'] . "</th>";
                             echo "<th class='text-center'>" . $locale['FCAL_061'] . "</th>";
                             echo "<th class='text-center' width='130'>" . $locale['FCAL_062'] . "</th>";
                             //echo "<th class='text-center' width='105'>" . $locale['FCAL_063'] . "</th>";
                         echo "</tr>";
                     echo "</tbody>";
                     foreach ($info['data'] as $rows) {
                         //{% for rows in data %}
                         echo "<tr>";
                             echo "<td class='text-center'>";
                                 echo "<a " .$rows['editdata'] . $rows['fh_ev_subject'] . "</a>";
                             echo "</td>";
                             echo "<td class='text-center'>" . $rows['fh_start'] . "</td>";
                             echo "<td class='text-center'>" . $rows['fh_stop'] . "</td>";
                             echo "<td class='text-center' width='130'>" . $rows['fh_allday'] . "</td>";
                             //echo "<td class='text-center' width='105'>" . $rows['edit_icon'] . " | " . $rows['del_icon'] . "</td>";
                         echo "</tr>";
                     }
                echo "</table>";
            echo "</div>";
        } else {
            echo "<div class='well text-center'>" . $info['nodata'] . "</div>";
        }
        closetable();
    }
}
